restic(backup(1)Jan)

generated by restic generate

NAME

restic-copy - Copy snapshots from one repository to another

SYNOPSIS

restic copy [flags] [snapshotID ...]

DESCRIPTION

The "copy" command copies one or more snapshots from one repository to another repository. Note that this will have to read (download) and write (upload) the entire snapshot(s) due to the different encryption keys on the source and destination, and that transferred files are not re-chunked, which may break their deduplication. This can be mitigated by the "--copy-chunker-params" option when initializing a new destination repository using the "init" command.

OPTIONS

-h, --help[=false]
    help for copy

-H, --host=[]
    only consider snapshots for this host, when no snapshot ID is given (can be specified multiple times)

--key-hint2=""
    key ID of key to try decrypting the destination repository first (default: $RESTIC_KEY_HINT2)

--password-command2=""
    shell command to obtain the destination repository password from (default: $RESTIC_PASSWORD_COMMAND2)

--password-file2=""
    file to read the destination repository password from (default: $RESTIC_PASSWORD_FILE2)

--path=[]
    only consider snapshots which include this (absolute) path, when no snapshot ID is given

--repo2=""
    destination repository to copy snapshots to (default: $RESTIC_REPOSITORY2)

--tag=[]
    only consider snapshots which include this taglist, when no snapshot ID is given

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    shell command to obtain the repository password from (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    file to read the repository password from (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level --verbose=n)

SEE ALSO

restic(1)